# DocumentDetectionResult class

Result of the document contour detection.

## Constructors

DocumentDetectionResult.new({DocumentDetectionStatus status = DocumentDetectionStatus.NOT_ACQUIRED, required DocumentDetectionScores detectionScores, required List<Point<int>> points, required List<LineSegmentInt> horizontalLines, required List<LineSegmentInt> verticalLines, required List<Point<double>> pointsNormalized, required List<LineSegmentFloat> horizontalLinesNormalized, required List<LineSegmentFloat> verticalLinesNormalized, required double aspectRatio, int averageBrightness = 0})
DocumentDetectionResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

aspectRatio → double
  Aspect ratio of the detected document contour.
  final
averageBrightness → int
  Average brightness, calculated as the average of the Value channel in the HSV color space of:
  final
detectionScores → DocumentDetectionScores
  The total and partial scores for the detected quad.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
horizontalLines → List<LineSegmentInt>
  All detected horizontal lines in image space.
  final
horizontalLinesNormalized → List<LineSegmentFloat>
  Normalized horizontal lines in image space.
  final
points → List<Point<int>>
  Absolute coordinates of the detected document contour in image space sorted in clockwise order, starting from the top left corner.
  final
pointsNormalized → List<Point<double>>
  Normalized coordinates of the detected document contour in image space sorted in clockwise order, starting from the top left corner.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
status → DocumentDetectionStatus
  Detection status.
  final
verticalLines → List<LineSegmentInt>
  All detected vertical lines in image space.
  final
verticalLinesNormalized → List<LineSegmentFloat>
  Normalized vertical lines in image space.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited